Bug 611908 - /etc/xen/auto mislabel
/etc/xen/auto mislabel
Status: CLOSED DUPLICATE of bug 579497
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: selinux-policy (Show other bugs)
5.5
All Linux
low Severity medium
: rc
: ---
Assigned To: Miroslav Grepl
BaseOS QE Security Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-06 16:18 EDT by Mike McGrath
Modified: 2010-07-13 03:28 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-13 03:28:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mike McGrath 2010-07-06 16:18:36 EDT
Description of problem:

/etc/xen/auto has type virt_etc_rw_t but should be virt_etc_t.  Upon reboot, the denial message is:

node=10.5.126.107 type=AVC msg=audit(1278446010.342:76): avc:  denied  { read } for  pid=5251 comm="xm" name="value2" dev=sda2 ino=624079 scontext=system_u:system_r:xm_t:s0 tcontext=user_u:object_r:virt_etc_
rw_t:s0 tclass=lnk_file
node=10.5.126.107 type=SYSCALL msg=audit(1278446010.342:76): arch=c000003e syscall=4 success=no exit=-13 a0=efb0690 a1=7fff9f1c2fe0 a2=7fff9f1c2fe0 a3=0 items=1 ppid=5157 pid=5251 auid=4294967295 uid=0 gid=0
 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm="xm" exe="/usr/bin/python" subj=system_u:system_r:xm_t:s0 key=(null)
node=10.5.126.107 type=CWD msg=audit(1278446010.342:76):  cwd="/"
node=10.5.126.107 type=PATH msg=audit(1278446010.342:76): item=0 name="/etc/xen/auto/value2"


Version-Release number of selected component (if applicable):

selinux-policy-2.4.6-279.el5

How reproducible:

every time.

Steps to Reproduce:
1. create guest
2. ln -s /etc/xen/guest /etc/xen/auto/guest *or* virsh autostart guest
  
Actual results:

Guests do not come up.

Expected results:

Guests come up.

Additional info:

Changing the labels to virt_etc_t fixes this.
Comment 1 Daniel Walsh 2010-07-12 15:28:13 EDT
Miroslav, 

Allow the reading of the virt_etc_rw_t:lnk_file
Comment 2 Miroslav Grepl 2010-07-13 03:28:36 EDT

*** This bug has been marked as a duplicate of bug 579497 ***

Note You need to log in before you can comment on or make changes to this bug.